|  | Home · All Classes · Modules

# QDeclarativePropertyValueSource Class Reference
[QtDeclarative module]

The QDeclarativePropertyValueSource class is an interface for property value sources such as animations and bindings. More...

Inherited by QPyDeclarativePropertyValueSource.

### Methods

- __init__ (self)
- __init__ (self, QDeclarativePropertyValueSource)
- setTarget (self, QDeclarativeProperty)

## Detailed Description

The QDeclarativePropertyValueSource class is an interface for property value sources such as animations and bindings.

See Property Value Sources for information on writing custom property value sources.

## Method Documentation

### QDeclarativePropertyValueSource.__init__ (self)

Constructs a QDeclarativePropertyValueSource.

### QDeclarativePropertyValueSource.__init__ (self, QDeclarativePropertyValueSource)

### QDeclarativePropertyValueSource.setTarget (self, QDeclarativeProperty)

This method is abstract and should be reimplemented in any sub-class.

Set the target property for the value source. This method will be called by the QML engine when assigning a value source.